using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ServiceModel;

namespace EHEC_Server
{
    public partial class Patient
    {
        public Patient CreatePatient(Patient patient)
        {
            try
            {
                using (EHEC_DBEntities ctx = new EHEC_DBEntities())
                {
                    ctx.Patients.Add(patient);
                    ctx.SaveChanges();
                }
                return patient;
            }
            catch (Exception)
            {
                return new Patient();
            }
        }

        public List<Patient> GetAllPatients()
        {
            using (EHEC_DBEntities ctx = new EHEC_DBEntities())
            {
                return ctx.Patients.ToList();
            }
        }
    }
}